#pragma once

#pragma comment( lib, "pcsgu250.lib" )

extern "C"
{
	bool Start_PCSGU250();
	void Stop_PCSGU250();
	void Show_PCSGU250(int Visible);
	void RunOn(int Run_on);
	void SingleOn(int Single_on);
	void Voltage1(int Volts);
	void Voltage2(int Volts);
	void Time(int Rate);
	void Coupling1(int AC_DC_GND);
	void Coupling2(int AC_DC_GND);
	void TrgLevel(int Trg_Level);
	void YPosition1(int y_pos);
	void YPosition2(int y_pos);
	void TrgOn(int trg_on);
	void TrgEdge(int Positive_Negative);
	void TrgSource(int Trg_Source);
	bool GetSettings(int* SettingsArray);
	void ReadCh1(int* Buffer);
	void ReadCh2(int* Buffer);
	bool DataReady();
	void StartGen();
	void StopGen();
	void SetGen(int func, float freq, float ampl, float offset);
	void SetLibWave(float freq, float ampl, float offset, char* filename);
	void SetSweep(float freq1, float freq2, float ampl, float offset, float time);
}